import 'dart:async';

import 'package:flutter/services.dart';

class EsptouchPlugin {
  static const MethodChannel _channel =
      const MethodChannel('EsptouchPlugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<Map> get wifiInfo async {
    final Map info = await _channel.invokeMethod('getWifiInfo');
    return info;
  }

  static Future<List> startConnect(
      String ssid, String bssid, String pwd) async {
    ssid = ssid == null ? "" : ssid;
    bssid = bssid == null ? "" : bssid;
    pwd = pwd == null ? "" : pwd;
    print('ssid:$ssid  bssid:$bssid  password:$pwd');
    final List res = await _channel.invokeMethod(
        'startConnect', {"ssid": ssid, "bssid": bssid, "password": pwd});
    return res;
  }

  static cancelConnect() {
    _channel.invokeMethod('cancelConnect');
  }
}
